UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Explorer
Explorer
319 Views
Registered: ‎10-18-2017

PetaLinux Build Older Kernel Version

I would like to use the 2017.3_ea branch of the Xilinx kernel to take advantage of the Frame Buffer Read driver, but I can not seem to build that branch with the 2018.2 version of PetaLinux even after following the "Configuring Out-of-tree Build" section of the guide. I have seen one unanswered question addressing this error. 

ERROR: linux-xlnx-4.14-xilinx-v2018.2+gitAUTOINC+57af48e31e-r0 do_kernel_version_sanity_check: Package Version (4.14-xilinx-v2018.2+gitAUTOINC+57af48e31e) does not match of kernel being built (4.9). Please update the PV variable to match the kernel source or set KERNEL_VERSION_SANITY_SKIP="1" in your recipe.

How can I direct PetaLinux to build the 4.9 version of the kernel rather than the default 4.14? Is it dangerous just to skip the sanity check or will that caused unexplained behavior during and after the build?

Thanks

0 Kudos
1 Reply
Explorer
Explorer
283 Views
Registered: ‎10-18-2017

Re: PetaLinux Build Older Kernel Version

So it looks like the recipes are in the PetaLinux install folder. I am hesitant to change these recipes since these files/directories may be referenced from other PetaLinux projects using the same version on my system. Is there any way to copy the meta-xilinx layer inside the PetaLinux install directory?

Here is the recipe I will need to edit

https://github.com/Xilinx/meta-xilinx/blob/master/meta-xilinx-bsp/recipes-kernel/linux/linux-xlnx-dev.bb

0 Kudos